'use strict';

var _fsExtra = require('fs-extra');

var _fsExtra2 = _interopRequireDefault(_fsExtra);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const nodeResolve = require('eslint-import-resolver-node').resolve;

exports.interfaceVersion = 2;

function findModuleRootPath(file) {
  let found = false;
  const nodeModuleDir = 'node_modules';
  let currentPath = _path2.default.dirname(file);
  while (!found && currentPath !== '/') {
    const nodeModuleDirToCheck = _path2.default.join(currentPath, nodeModuleDir);
    if (_fsExtra2.default.pathExistsSync(nodeModuleDirToCheck)) {
      found = true;
    } else {
      currentPath = _path2.default.dirname(currentPath);
    }
  }

  return currentPath;
}

exports.resolve = (source, file, config) => {
  if (source.slice(0, 1) === '/') {
    const moduleRootPath = findModuleRootPath(file);
    const resolvedPath = _path2.default.join(moduleRootPath, source);
    return nodeResolve(resolvedPath, file, config);
  }

  return nodeResolve(source, file, config);
};
//# sourceMappingURL=index.js.map